<section class="pt-2 mb-5">
  <form [formGroup]="form" (submit)="submit()">
    <span class="small-title" style="font-weight: 700">סינון לפי</span>

    <!-- searchText -->
    <div class="row py-3">
      <span class="col-8">
        <input
          formControlName="searchText"
          style="width: 100%"
          type="text"
          class="by-theme"
        />
      </span>
      <span class="col-4">
        <span class="small-title">טקסט חופשי</span>
      </span>
    </div>

    <!-- intrests -->
    <mat-form-field appearance="fill">
      <input
        matInput
        type="tel"
        matInput
        placeholder='לדוגמא: "יוגה"'
        formControlName="interests"
      />
      <mat-icon matPrefix>search</mat-icon>
    </mat-form-field>

    <!-- show selectedDate (disabled!) -->
    <div class="row py-3">
      <span class="col-10">
        <input
          style="width: 100%"
          [value]="toPrettyDate(selectedDate)"
          class="time-input"
          disabled
        />
      </span>
      <span class="col-2">
        <span class="small-title">זמן</span>
      </span>
    </div>

    <!-- selectedDate -->
    <mat-calendar #MatCalendar (selectedChange)="selectedDate = $event"></mat-calendar>

    <!-- select location dialog -->
    <div
      class="location py-3 mr-2 row"
      style="display: flex; align-items: flex-end; gap: 1vmin"
      dir="rtl"
    >
      <p style="font-size: x-large">מרחק</p>
      <p style="margin-bottom: 9px">
        ממיקומך הנוכחי
        <!-- show link ngIf isLocationPicked -->
        <span
          (click)="openDialog()"
          *ngIf="!isLocationPicked"
          class="mx-1 theme-color"
        >
          {{ isLocationPicked ? "שנה מיקום " : "או בחר\\י" }}
        </span>
      </p>
    </div>

    <!-- geoArea -->
    <div class="geo-area d-flex justify-content-center my-3">
      <span
        class="px-2 pointer"
        [ngStyle]="{ 'font-weight': geoArea == 'צפון' ? 'bold' : '400' }"
        (click)="pickArea('צפון')"
        href=""
        >צפון</span
      >
      |
      <span
        class="px-2 pointer"
        [ngStyle]="{ 'font-weight': geoArea == 'מרכז' ? 'bold' : '400' }"
        (click)="pickArea('מרכז')"
        href=""
        >מרכז</span
      >
      |
      <span
        class="px-2 pointer"
        [ngStyle]="{ 'font-weight': geoArea == 'דרום' ? 'bold' : '400' }"
        (click)="pickArea('דרום')"
        href=""
        >דרום</span
      >
    </div>

    <mat-slider
      thumbLabel
      [displayWith]="formatLabel"
      tickInterval="1000"
      step="1"
      min="0"
      max="100"
      aria-label="units"
      formControlName="range"
    ></mat-slider>
    <div class="row">
      <!-- <button class="theme-color filter-btn py-3" type="submit">סנן</button> -->
      <button class="btn btn-danger col-5 text-center m-auto" type="submit">סנן</button>
      <button (click)="cancelFilter()" class="btn btn-dark m-auto text-center col-5" type="button">ביטול</button>
    </div>
  </form>
</section>
